/**************** COOKIE CONSENT ****************/
#omn-cc-hint:before {
    content: '';
    position: absolute;
    bottom: 100%;
    left: 0;
    width: 100%;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0.7);
}
#omn-cc-hint {
    font-size: 0.8rem;
    border-top: 0;
    color: #000;
    background: #FFFFFF;
    padding: 1.5rem;
}

#omn-cc-hint .button , #omn-cc-settings .button {
    color: #000;
}

.omn-cc-js-option:not([disabled]) { cursor: pointer; }

#omn-cc-hint h2 { margin-top: 0; font-size: 1.16rem; line-height: 1.5rem; margin-bottom: 1rem;}
#omn-cc-hint label.cc-hint-option { display: flex; align-items: center; gap:10px; cursor: pointer; }

#omn-cc-hint .options-container { display: flex; gap: 10px;}
#omn-cc-settings { background-color: rgba(0, 0, 0, 0.7); }
#omn-cc-settings > div { position: relative; border: 0; }
#omn-cc-settings .omn-cc-close {
    font-size: 1.5rem;
    color: #000000;
    text-decoration: none;
    display: block;
    position: absolute;
    top: 20px;
    right: 20px;
    line-height: 1rem;
}

#omn-cc-settings .omn-cc-close i {
    font-weight: bold;
}

#omn-cc-hint a.omn-cc-js-settings, #omn-cc-hint a:not(.button), #omn-cc-settings a:not(.button, .omn-cc-close) {
    color: var(--color-indigo-blue);
}

#omn-cc-settings .form-check { display: flex; gap: 10px; align-items: center; justify-content: space-between; }
#omn-cc-settings .form-check div:first-child { flex: 0 0 30px; }

#omn-cc-settings table {
    width: 100%;
    border-collapse: collapse;
}

#omn-cc-settings table td, #omn-cc-settings table th {
    margin: 0;
    vertical-align: top;
    padding: 0.5em;
    border-spacing: 0;
    text-align: left;
    border: 0;
    line-height: 1.55rem;
}

#omn-cc-settings table th {
    color: #FFFFFF;
    background-color: var(--color-blue);
}
#omn-cc-settings table td {
    font-size: 0.8rem;
}

#omn-cc-settings .cookie-consent-table p {
    margin-top: 0;
}

#omn-cc-settings table tr:nth-child(2n+1) {
    background-color: #f2f2f2;
}

@media all and (max-width: 766px) {
    #omn-cc-settings .form-check {
        margin: 1em 0;
    }
    #omn-cc-settings > div {
        padding: 20px;
    }
}

